Skip to main content
GET
List accounts

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Query Parameters

pageSize
integer
default:20

The number of resources to return per page.

pageToken
string

The token for the next page of resources, if any.

owner
string[]

Filter accounts by owner. Values can be specific Owner IDs or owner type wildcards. Multiple values can be combined as a comma-separated list.

Specific Owner IDs:

  • entity_<uuid> - Accounts owned by a specific entity
  • customer_<uuid> - Accounts owned by a specific customer

Owner type wildcards:

  • entity - All entity-owned accounts
  • customer - All customer-owned accounts

Examples:

  • owner=customer_af29... - A specific customer's accounts
  • owner=customer - All customer accounts
  • owner=entity,customer_af29... - Entity accounts and a specific customer's accounts
  • When omitted, accounts with any owner are returned.

An owner filter value. Can be a specific Owner ID (e.g. entity_<uuid>, customer_<uuid>) or an owner type wildcard (entity, customer).

Pattern: ^(entity|customer)(_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?$
type
enum<string>

Filter accounts by account type. When omitted, accounts of any type are returned. Combined with owner using AND. The type of the Account.

  • prime: a linked Coinbase Prime account.
  • business: a linked Coinbase Business account.
  • cdp: a CDP-native account created via this API. Used for accounts created on behalf of an Entity and for Customer-owned accounts.
Available options:
prime,
business,
cdp
Example:

"prime"

Response

Successfully listed accounts.

accounts
object[]
required

The list of accounts.

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="